Imports System.Drawing

Public Class FolderFactory
  Private selFolder, unselFolder As Folder
  '-----
  Public Sub New()
    'Utwórz dwa foldery
    selFolder = New Folder(Color.Brown)
    unselFolder = New Folder(Color.Bisque)
  End Sub
  '-----
  Public Function getFolder(ByVal isSelected As Boolean) _
          As Folder
    'Zwróæ odpowiedni obiekt
    If isSelected Then
      Return selFolder
    Else
      Return unselFolder
    End If
  End Function
End Class
